Bug 1289580 - CLI can't connect to JDG in library mode
CLI can't connect to JDG in library mode
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Library (Show other bugs)
6.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.6.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 08:34 EST by Roman Macor
Modified: 2015-12-17 04:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug logs from cli.sh, traces from EAP server, extracted part from server logs and the application that is being deployed to EAP (7.82 MB, application/zip)
2015-12-10 05:56 EST, Roman Macor
no flags Details

  None (edit)
Description Roman Macor 2015-12-08 08:34:44 EST
Description of problem:

Connecting to JDG via cli.sh results in:

javax.security.sasl.SaslException: Authentication failed: all available authentication mechanisms failed:
   DIGEST-MD5: javax.security.sasl.SaslException: DIGEST-MD5: Cannot perform callback to acquire realm, authentication ID or password [Caused by javax.security.auth.callback.UnsupportedCallbackException]

How reproducible:

1. Deploy application in EAP 
(application needs to have infinispan-cli-server dependency)

2. jboss-datagrid-6.6.0-library/bin/cli.sh

3. connect remoting://localhost:9999/
Comment 3 Martin Gencur 2015-12-09 11:14:47 EST
The stack trace above is all that we get when connecting via CLI. Nothing else is written on the console.
Comment 4 Tristan Tarrant 2015-12-09 11:17:50 EST
Some debug logging would  be useful. I guess the error above is from the CLI side of things and not the server
Comment 5 Roman Macor 2015-12-10 05:56 EST
Created attachment 1104300 [details]
Debug logs from cli.sh, traces from EAP server,  extracted part from server logs and  the application that is being deployed to EAP

I've added debug logs from cli.sh, traces from EAP server and extracted part from server logs that seems to be related to CLI. I've also attached the application that is being deployed to EAP, which is just a cartmart-tx quickstart with added infinispan-cli-server dependency.

Note You need to log in before you can comment on or make changes to this bug.